/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package mypack;

import java.io.*;
import java.util.logging.Logger;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.ejb.Stateless;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;

/**
 *
 * @author
 */
@WebService()
@Stateless()
public class NewWebService {
  private static final Logger logger = Logger.getLogger( "mypack.NewWebService" );
  
  /**
   * Web service operation
   */
  @WebMethod(operationName = "operation")
  public String operation() {
    return "NewWebService.operation";
  }


  @PostConstruct
  public void postConstruct() {
    logger.info( "NewWebService.postConstruct" );
  }

  @PreDestroy
  public void preDestroy() {
    logger.info( "NewWebService.preDestroy" );
  }

}
